# Contact Exporters

This object allows you to create custom Contact Exporters. The Contact Exporter defines how and where the
contacts generated by the Campaign are delivered.


## List contact exporters

 - [GET /campaign-workers/contact-exporters](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_list.md): Get a list of all contact exporters.

## Create contact exporter

 - [POST /campaign-workers/contact-exporters](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_create.md): Create a new Contact Exporter by defining the contact matching criteria and the exportable columns. If
desired, designate an SFTP setting and/or screen through Compliance Guard.

When contacts are screened, the exporter calls Compliance Guard with the checkAtCompanyNoon flag enabled.
See the checkAtCompanyNoon field on the Can Interact Endpoint for
further information. In other words, regardless of the time of day that the exporter runs, compliance is
checked as of noon in the company's time zone. This does not override other reasons a check can fail:
the borrower having a Do Not Interact in place, having reached the interaction frequency limit, etc.

Where possible, it's always advised to check compliance right before an action. Many things can change
(payments are made, other automated interactions are sent, consents/addresses can be updated)
from when you plan something to happen to when it actually happens. Lenders are responsible for ensuring
it is still permissible to conduct the interaction.

## Delete contact exporter

 - [DELETE /campaign-workers/contact-exporters/{contactExporterId}](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_delete.md): Delete a contact exporter by ID.

## Get contact exporter by ID

 - [GET /campaign-workers/contact-exporters/{contactExporterId}](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_get_by_id.md): Get a contact exporter by ID.

## Update contact exporter

 - [PUT /campaign-workers/contact-exporters/{contactExporterId}](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_update.md): Update a contact exporter by ID.

